Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Retrieve a segment

GET/segments/{id}
Authorization
AuthorizationBearer token · headerrequired

A BillionSend API key (bs_…).

Path parameters
idstring<uuid>required
Responses
200

Segment

objectstringrequired
Allowed:segment
idstring<uuid>required
namestringrequired
domain_idstring<uuid> | nullrequired

BillionSend extension: the domain the segment is bound to; null for a team-wide segment

filterSegmentFilter | nullrequired
Show properties
matchstringrequired
Allowed:allany
conditionsobject[]required
max items 50
Show properties
Array of object
fieldstringrequired
opstringrequired
valuestring | nullrequired
max length 500
created_atstringrequired
contact_countnumberrequired
401

Missing, malformed, unknown or revoked API key

statusCodenumberrequired
namestringrequired
messagestringrequired
404

Not found

statusCodenumberrequired
namestringrequired
messagestringrequired
429

Over the rate limit (rate_limit_exceeded, with Retry-After)

statusCodenumberrequired
namestringrequired
messagestringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.billionsend.com/segments/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "object": "segment",
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "domain_id": "b2f7354f-b74d-4332-ab10-1a5e3c56466c",
  "filter": {
    "match": "all",
    "conditions": [
      {
        "field": "string",
        "op": "string",
        "value": "string"
      }
    ]
  },
  "created_at": "string",
  "contact_count": 0
}

Was this page helpful?